%define	name	WindowMaker
%define	version	0.80.2
%define	release	1.PU_IAS.1

Summary:	A window manager for the X Window System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		User Interface/Desktops
Vendor:		The Window Maker Team
Url:		http://www.windowmaker.org
Source:		%{name}-%{version}.tar.gz
Source1:	WindowMaker
#Source2:	windowmaker.xpm
#Source3:	Xclients.wmaker
Patch:		windowmaker-msgfmt.patch
Patch2:		windowmaker-msgfmt-2.patch
#Requires:	wmconfig, libPropList >= 0.10.1
Obsoletes:	windowmaker, windowmaker-devel, windowmaker-libs, WindowMaker-devel
Provides:	windowmaker
BuildRoot:	/var/tmp/%{name}-buildroot

%description
Window Maker is an X11 window manager which emulates the look
and feel of the NeXTSTEP (TM) graphical user interface. It is
relatively fast, feature rich and easy to configure and use. 
Window Maker is part of the official GNU project, which means that 
Window Maker can interoperate with other GNU projects, such as
GNOME.

Window Maker allows users to switch themes 'on the fly,' to place
favorite applications on either an application dock, similar to
AfterStep's Wharf or on a workspace dock, a 'clip' which extends
the application dock's usefulness.

You should install the WindowMaker package if you use Window
Maker as your window manager or if you'd like to try using it.
If you do install the WindowMaker package, you may also want
to install the AfterStep-APPS package, which includes
applets that will work with both AfterStep and Window Maker
window managers. 

%prep
%setup -q
#%patch -p1
#%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS";
#LINGUAS="@supported_locales@";
LINGUAS="bg cs da de el es et fi fr gl hr hu it ja ko ms nl no pl pt ro ru sk sv tr zh_CN";
#msgfmt different format
#for file in *.po; do; domain=`echo $file | sed -e 's/.po//g'`; (echo domain=\"$domain\" && cat $file) > $domain.po2; done
#for file in *.po2; do newfile=`echo $file | sed -e 's/.po2/.po/g'`; mv $file $newfile; done

NLSDIR="/usr/share/locale";
GNUSTEP_LOCAL_ROOT='$(prefix)/X11R6/lib/GNUstep';
export CFLAGS LINGUAS NLSDIR GNUSTEP_LOCAL_ROOT;
#export CFLAGS NLSDIR GNUSTEP_LOCAL_ROOT;

./configure --prefix=/usr --exec-prefix=/usr/X11R6 \
	--sysconfdir=/etc/X11 --enable-modelock \
	--enable-kde --enable-gnome --enable-openlook \
	--enable-usermenu
make

%install
PATH=/usr/bin:$PATH
export PATH
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

cp -f WindowMaker/plmenu WindowMaker/Defaults/WMRootMenu
make install DESTDIR=$RPM_BUILD_ROOT

strip $RPM_BUILD_ROOT/usr/X11R6/bin/* || :
strip $RPM_BUILD_ROOT/usr/X11R6/lib/GNUstep/Apps/WPrefs.app/WPrefs

#files to add WindowMaker to gdm
mkdir -p $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
#included in switchdesk rpm now
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/switchdesk
#mkdir -p $RPM_BUILD_ROOT/usr/share/apps/switchdesk/pics
install -m555 $RPM_SOURCE_DIR/WindowMaker $RPM_BUILD_ROOT/etc/X11/gdm/Sessions
#install -m555 $RPM_SOURCE_DIR/Xclients.wmaker $RPM_BUILD_ROOT/usr/share/apps/switchdesk
#install -m444 $RPM_SOURCE_DIR/windowmaker.xpm $RPM_BUILD_ROOT/usr/share/apps/switchdesk/pics


%post
/sbin/ldconfig
#switchdesk expects wmaker to be in /usr/bin
ln -s /usr/X11R6/bin/wmaker /usr/bin/wmaker

%postun	
/sbin/ldconfig
rm /usr/bin/wmaker

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-,root,root)
%doc AUTHORS BUGFORM BUGS ChangeLog NEWS FAQ* README
%doc TODO MIRRORS README.*
%config /etc/X11/WindowMaker
/usr/X11R6/bin/*
/usr/X11R6/lib/lib*
/usr/X11R6/lib/GNUstep/Apps/WPrefs.app
/usr/include/*
/usr/share/WindowMaker
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/WINGs
/usr/man/man1/*
/usr/man/*/man1/*
/etc/X11/gdm/Sessions/WindowMaker
#/usr/share/apps/switchdesk/Xclients.wmaker
#/usr/share/apps/switchdesk/pics/windowmaker.xpm 

%changelog
